Bug 242052 - [PATCH] databases/pecl-memcached: unbreak with php74
Summary: [PATCH] databases/pecl-memcached: unbreak with php74
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-18 10:10 UTC by Dima Panov
Modified: 2019-12-08 17:48 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
unbreak with php74 (1.29 KB, patch)
2019-11-18 10:10 UTC, Dima Panov
no flags Details | Diff
Update to 3.1.5 (1.07 KB, patch)
2019-12-04 15:15 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2019-11-18 10:10:46 UTC
Created attachment 209223 [details]
unbreak with php74

PHP74 is more strictly with variable types
Comment 1 Automation User 2019-12-03 02:13:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/100124255
Comment 2 Dima Panov freebsd_committer 2019-12-04 15:15:53 UTC
Created attachment 209695 [details]
Update to 3.1.5

3.1.5 release obsoletes previous patch
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-04 16:45:11 UTC
Thanks! I'll test it ASAP.
Comment 4 commit-hook freebsd_committer 2019-12-08 17:32:57 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Dec  8 17:32:16 UTC 2019
New revision: 519563
URL: https://svnweb.freebsd.org/changeset/ports/519563

Log:
  Update to 3.1.5

  Changes:	https://pecl.php.net/package-changelog.php?package=memcached
  		https://github.com/php-memcached-dev/php-memcached/releases
  PR:		242052
  Submitted by:	fluffy

Changes:
  head/databases/pecl-memcached/Makefile
  head/databases/pecl-memcached/distinfo
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-12-08 17:48:30 UTC
Committed. Thanks!